Description

I have an atlas with a QR code on each page. the qr codes are jpg images stored in a folder relative to the project root. I use dropbox to

sync the project file to multiple users / computers.

The qr filenames are attributes in a field. (i.e. "001.jpg", "002.jpg" etc..)

I used expression builder to concatenate the strings to a usable path:

'c:/path/to/my/project/qr/' || "fileName"

which works fine but I want it to be portable so instead I would like to be able to use:

'qr/' || "filename"

but it doesn't work. I created a workaround using a python function that returns the current path:

$currentpath || '/qr/' || "filename"

which works ok but then I have to put the function in every new computer I access the file from.

ultimately it would be more intuitive and work better if the relative paths just worked (or if there was a current path variable to concatentate

to)

History

#1 - 2015-05-03 04:23 PM - Nathan Woodrow

The expression parser isn't going to know if 'qr/' is a string or a path, making it guess would be a bad thing.

Adding a project path variable would be fine though so we could do that.

#2 - 2015-05-03 04:23 PM - Nathan Woodrow

- Tag set to expression

- Assignee set to Nathan Woodrow

- Category set to Expressions

#3 - 2015-10-01 10:40 AM - Jesse McMillan

That would be perfect. Very useful for collaborations.

#4 - 2015-10-01 03:39 PM - Nathan Woodrow
- Status changed from Open to Closed

- Resolution set to fixed/implemented

This is now possible in the latest version using the @project_path variable.
